--- b/configure.ac
+++ a/configure.ac
@@ -130,7 +130,6 @@
 NAUTILUS_REQUIRED=2.91.4
 GDK_PIXBUF_REQUIRED=2.36.5
 GSPELL_REQUIRED=1.6.0
-SYNCTEX_REQUIRED=1.19
 
 AC_SUBST([GLIB_REQUIRED])
 AC_SUBST([GTK_REQUIRED])
@@ -539,7 +538,7 @@
 
 dnl ================== libsynctex ===========================================
 
+PKG_CHECK_MODULES(SYNCTEX, [synctex], has_synctex=system, has_synctex=internal)
-PKG_CHECK_MODULES(SYNCTEX, [synctex >= $SYNCTEX_REQUIRED], has_synctex=system, has_synctex=internal)
 
 dnl not found? use internal code copy.
 if test "x$has_synctex" = "xinternal"; then
--- b/cut-n-paste/synctex/Makefile.am
+++ a/cut-n-paste/synctex/Makefile.am
@@ -4,9 +4,7 @@
 	synctex_parser.c		\
 	synctex_parser.h 	\
 	synctex_parser_utils.h   \
+	synctex_parser_utils.c
-	synctex_parser_utils.c \
-	synctex_parser_advanced.h \
-	synctex_version.h
 
 libsynctex_la_CPPFLAGS = \
 	-DSYNCTEX_VERBOSE=0 \
--- b/cut-n-paste/synctex/synctex_parser.c
+++ a/cut-n-paste/synctex/synctex_parser.c
@@ -1,52 +1,56 @@
+/* 
+Copyright (c) 2008, 2009, 2010 , 2011 jerome DOT laurens AT u-bourgogne DOT fr
+
+This file is part of the SyncTeX package.
+
+Latest Revision: Tue Jun 14 08:23:30 UTC 2011
+
+Version: 1.17
+
+See synctex_parser_readme.txt for more details
+
+License:
+--------
+Permission is hereby granted, free of charge, to any person
+obtaining a copy of this software and associated documentation
+files (the "Software"), to deal in the Software without
+restriction, including without limitation the rights to use,
+copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the
+Software is furnished to do so, subject to the following
+conditions:
+
+The above copyright notice and this permission notice shall be
+included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
+HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+OTHER DEALINGS IN THE SOFTWARE
+
+Except as contained in this notice, the name of the copyright holder  
+shall not be used in advertising or otherwise to promote the sale,  
+use or other dealings in this Software without prior written  
+authorization from the copyright holder.
+
+Acknowledgments:
+----------------
+The author received useful remarks from the pdfTeX developers, especially Hahn The Thanh,
+and significant help from XeTeX developer Jonathan Kew
+
+Nota Bene:
+----------
+If you include or use a significant part of the synctex package into a software,
+I would appreciate to be listed as contributor and see "SyncTeX" highlighted.
+
+Version 1
+Thu Jun 19 09:39:21 UTC 2008
+
+*/
-/*
- Copyright (c) 2008-2017 jerome DOT laurens AT u-bourgogne DOT fr
- 
- This file is part of the __SyncTeX__ package.
- 
- [//]: # (Latest Revision: Sun Oct 15 15:09:55 UTC 2017)
- [//]: # (Version: 1.21)
- 
- See `synctex_parser_readme.md` for more details
- 
- ## License
- 
- Permission is hereby granted, free of charge, to any person
- obtaining a copy of this software and associated documentation
- files (the "Software"), to deal in the Software without
- restriction, including without limitation the rights to use,
- copy, modify, merge, publish, distribute, sublicense, and/or sell
- copies of the Software, and to permit persons to whom the
- Software is furnished to do so, subject to the following
- conditions:
- 
- The above copyright notice and this permission notice shall be
- included in all copies or substantial portions of the Software.
- 
- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
- OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
- HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
- WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
- FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
- OTHER DEALINGS IN THE SOFTWARE
- 
- Except as contained in this notice, the name of the copyright holder
- shall not be used in advertising or otherwise to promote the sale,
- use or other dealings in this Software without prior written
- authorization from the copyright holder.
- 
- Acknowledgments:
- ----------------
- The author received useful remarks from the pdfTeX developers, especially Hahn The Thanh,
- and significant help from XeTeX developer Jonathan Kew
- 
- Nota Bene:
- ----------
- If you include or use a significant part of the synctex package into a software,
- I would appreciate to be listed as contributor and see "SyncTeX" highlighted.
- 
- */
 
 /*  We assume that high level application like pdf viewers will want
  *  to embed this code as is. We assume that they also have locale.h and setlocale.
@@ -55,40 +59,12 @@
  *  In particular, the HAVE_LOCALE_H and HAVE_SETLOCALE macros should be properly defined.
  *  With this design, you should not need to edit this file. */
 
-/**
- *  \file synctex_parser.c
- *  \brief SyncTeX file parser and controller.
- *  - author: Jérôme LAURENS
- *  \version 1.21
- *  \date Sun Oct 15 15:09:55 UTC 2017
- *
- *  Reads and parse *.synctex[.gz] files,
- *  performs edit and display queries.
- *
- *  See
- *  - synctex_scanner_new_with_output_file
- *  - synctex_scanner_parse
- *  - synctex_scanner_free
- *  - synctex_display_query
- *  - synctex_edit_query
- *  - synctex_scanner_next_result
- *  - synctex_scanner_reset_result
- *
- *  The data is organized in a graph with multiple entries.
- *  The root object is a scanner, it is created with the contents on a synctex file.
- *  Each node of the tree is a synctex_node_t object.
- *  There are 3 subtrees, two of them sharing the same leaves.
- *  The first tree is the list of input records, where input file names are associated with tags.
- *  The second tree is the box tree as given by TeX when shipping pages out.
- *  First level objects are sheets and forms, containing boxes, glues, kerns...
- *  The third tree allows to browse leaves according to tag and line.
- */
 #   if defined(SYNCTEX_USE_LOCAL_HEADER)
 #       include "synctex_parser_local.h"
 #   else
 #       define HAVE_LOCALE_H 1
 #       define HAVE_SETLOCALE 1
+#       if defined(_MSC_VER) 
-#       if defined(_MSC_VER)
 #          define SYNCTEX_INLINE __inline
 #       else
 #          define SYNCTEX_INLINE inline
@@ -96,7 +72,6 @@
 #   endif
 
 #include <stdlib.h>
-#include <stdarg.h>
 #include <stdio.h>
 #include <string.h>
 #include <errno.h>
